var app = new Vue({
  el: '#container',
  data: {
  	helpShow : false,
  	title : '&nbsp',
  	contentUrl : '',
  	tips : 'A new update available, tap Update to go to Google Play and get the latest client. A WiFi connection is recommended, tap Help if you have any problems.',
  	help : {
  		title : 'Help',
  		content : 'This is a problem caused by the server of Google Play:<br />1. Update the client via Google Play.<br />2. If you cannot update, delete the game and download the latest client.<br />If still have problems <span class="openHelp">contact us</span>',
  		tips : 'Update failed! Reinstall the client through Google Play.'
  	}
  },
  methods : {
  	showHelpPop : function(){
  		this.helpShow = true;
  	},
  	hideHelpPop : function(){
  		this.helpShow = false;
  	},
  	updateCancel : function(){
  		window.pdActv.updateCancel();
  	},
  	updateStart : function(){
  	    window.pdActv.updateStart();
  	},
  	updateOpenHelp : function(e){
			if (e.target.className == 'openHelp') {
			      window.pdActv.updateOpenHelp("http://secondgalaxy.zlongame.com");
			}
  	}
  }
})

function receiverOcMSG(title,contentUrl){
	app.title= title;
	app.contentUrl= contentUrl;
}
